TechDraw Balloon: Difference between revisions

From FreeCAD Documentation
(TechDraw_Dimension_HExtent.svg->TechDraw_Dimension_Horizontal_Extent.svg)
No edit summary
Line 16: Line 16:
|Name=TechDraw Balloon
|Name=TechDraw Balloon
|MenuLocation=TechDraw → Balloon
|MenuLocation=TechDraw → Balloon
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw_Module|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw NewAnnotation|TechDraw New annotation]]
|SeeAlso=[[TechDraw_NewAnnotation|TechDraw New annotation]]
}}
}}


Line 34: Line 34:
<!--T:13-->
<!--T:13-->
# Select the View to which the Balloon will be attached.
# Select the View to which the Balloon will be attached.
# Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw Balloon|Balloon]]}} button.
# Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw_Balloon|Balloon]]}} button.
# The cursor is now displayed as a balloon icon. Click on the page to place the balloon origin to the desired position.
# The cursor is now displayed as a balloon icon. Click on the page to place the balloon origin to the desired position.
# The balloon bubble may be dragged to the desired position. Use CTRL-drag to move the bubble and the arrow.
# The balloon bubble may be dragged to the desired position. Use CTRL-drag to move the bubble and the arrow.
Line 72: Line 72:


<!--T:18-->
<!--T:18-->
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:19-->
<!--T:19-->
The Balloon tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following functions:
The Balloon tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


</translate>
</translate>

Revision as of 22:03, 2 December 2020

TechDraw Balloon

Menu location
TechDraw → Balloon
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw New annotation

Description

The Balloon tool can add balloons with leader line in a drawing.

Usage

  1. Select the View to which the Balloon will be attached.
  2. Press the Balloon button.
  3. The cursor is now displayed as a balloon icon. Click on the page to place the balloon origin to the desired position.
  4. The balloon bubble may be dragged to the desired position. Use CTRL-drag to move the bubble and the arrow.
  5. You can change balloon properties by double clicking balloon label or balloon object in the tree. This will open the Balloon task dialog.

Using separators

When using a rectangle shape, separators can be added using "|" in the text. For example "AAA|TEST|111" gives:

Properties

Data

  • DataText: Text to be displayed.
  • DataSource View: Source View for the balloon.
  • DataOrigin X: Balloon origin x-position
  • DataOrigin Y: Balloon origin y-position
  • DataEnd Type: End symbol for the balloon line. Options: None, Filled Arrow, Open Arrow, Tick, Dot, Open Circle, Fork, Filled Triangle
  • DataShape: Shape of the balloon bubble. Options: Circular, None, File:Triangular.svg Triangle, Inspection, Hexagon, File:Square-Shape.svg Square, File:Rectangular.svg Rectangle
  • DataShape Scale: Scale factor for the Shape.
  • DataText Wrap: Text wrap length; -1 means the text will never be wrapped and the result is in every case a single line.
  • DataKink Length: Distance from the Shape to the leader line kink.
  • DataX: Horizontal position of the balloon bubble relative to the View.
  • DataY: Vertical position of the balloon bubble relative to the View.

View

  • ViewColor: Color of the balloon text.
  • ViewFont: The name of the font to use for the balloon bubble.
  • ViewFontsize: Dimension text size in mm.
  • ViewLine Width: Balloon line width

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Balloon tool can be used in macros and from the Python console by using the following functions:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)